Loading...
Searching...
No Matches
gtsam::traits< ProductLieGroup< G, H > > Struct Template Reference
Inheritance diagram for gtsam::traits< ProductLieGroup< G, H > >:

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< ProductLieGroup< G, H > >
static TangentVector | Logmap (const ProductLieGroup< G, H > &m, ChartJacobian Hm=boost::none)
static ProductLieGroup< G, H > | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static ProductLieGroup< G, H > | Compose (const ProductLieGroup< G, H > &m1, const ProductLieGroup< G, H > &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static ProductLieGroup< G, H > | Between (const ProductLieGroup< G, H > &m1, const ProductLieGroup< G, H > &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static ProductLieGroup< G, H > | Inverse (const ProductLieGroup< G, H > &m, ChartJacobian H=boost::none)
static TangentVector | Local (const ProductLieGroup< G, H > &origin, const ProductLieGroup< G, H > &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static ProductLieGroup< G, H > | Retract (const ProductLieGroup< G, H > &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static ProductLieGroup< G, H > | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< ProductLieGroup< G, H >, ProductLieGroup< G, H >::dimension >
static int | GetDimension (const ProductLieGroup< G, H > &)
Public Types inherited from gtsam::internal::LieGroupTraits< ProductLieGroup< G, H > >
typedef lie_group_tag | structure_category
enum |
typedef ProductLieGroup< G, H > | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/ProductLieGroup.h